//
//  MainViewController.m
//  UniversalViewBasedApp
//
//  Created by Ole Begemann on 09.04.10.
//  Copyright Ole Begemann 2010. All rights reserved.
//

#import "MainViewController.h"

@implementation MainViewController

@synthesize chooseColorButton;


- (void)viewDidLoad {
    [super viewDidLoad];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return YES;
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
    self.chooseColorButton = nil;
}

- (void)dealloc {
    [chooseColorButton release];
    [super dealloc];
}



- (IBAction)changeToolbarButtonTapped:(id)sender
{
    UIActionSheet *actionSheet = nil;
    
    // Conditional compilation is necessary here to avoid build error on Simulator 3.0/3.1 builds
    // See http://oleb.net/blog/2010/04/universal-app-is-not-a-universal-binary/
#if __IPHONE_OS_VERSION_MAX_ALLOWED >= 30200    
    if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad)
    {
        actionSheet = [[UIActionSheet alloc] initWithTitle:@"Choose Color"
                                                  delegate:self
                                         cancelButtonTitle:nil
                                    destructiveButtonTitle:nil
                                         otherButtonTitles:@"Yellow", @"Red", @"Green", @"Blue", nil];
        [actionSheet showFromBarButtonItem:self.chooseColorButton animated:YES];
    }
    else
#endif
    {
        actionSheet = [[UIActionSheet alloc] initWithTitle:@"Choose Color"
                                                  delegate:self 
                                         cancelButtonTitle:@"Cancel" 
                                    destructiveButtonTitle:nil 
                                         otherButtonTitles:@"Yellow", @"Red", @"Green", @"Blue", nil];
        [actionSheet showInView:self.view];
    }

    [actionSheet release];
}


- (void) actionSheet:(UIActionSheet *)actionSheet didDismissWithButtonIndex:(NSInteger)buttonIndex
{
    switch (buttonIndex) {
        case 0:
            self.view.backgroundColor = [UIColor yellowColor];
            break;
        case 1:
            self.view.backgroundColor = [UIColor redColor];
            break;
        case 2:
            self.view.backgroundColor = [UIColor greenColor];
            break;
        case 3:
            self.view.backgroundColor = [UIColor blueColor];
            break;
    }
}

@end
